Restore a VM from a snapshot
curl --request POST \
--url https://api.cloud.onidel.com/vm/{vm_id}/restore-snapshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"snapshot_id": "53959c6e-73d5-4476-9b19-d78fb8efac2c",
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe"
}
'import requests
url = "https://api.cloud.onidel.com/vm/{vm_id}/restore-snapshot"
payload = {
"snapshot_id": "53959c6e-73d5-4476-9b19-d78fb8efac2c",
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
snapshot_id: '53959c6e-73d5-4476-9b19-d78fb8efac2c',
team_id: '96616865-475e-4191-aba5-f89f0a4b71fe'
})
};
fetch('https://api.cloud.onidel.com/vm/{vm_id}/restore-snapshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"audit_log_id": "0f9c2d1a-3b4e-4c5d-8a6f-7b8c9d0e1f2a"
}Virtual Machines
Restore a VM from a snapshot
Restore a VM from a snapshot.
POST
/
vm
/
{vm_id}
/
restore-snapshot
Restore a VM from a snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
VM UUID
Body
application/json
Response
Restore started
Example:
"0f9c2d1a-3b4e-4c5d-8a6f-7b8c9d0e1f2a"
⌘I